(function(Drupal) {

  Drupal.behaviors.menuDropdwon = {
    attach(context) {
      context.querySelectorAll('.m-dd_list').forEach((menu) => {
        const dropdowns = menu.querySelectorAll('.dropdown-menu');
        const menuRect = menu.getBoundingClientRect();
        const menuRight = menuRect.left + menuRect.width;


        dropdowns.forEach((dropdown) => {
          const rect = dropdown.getBoundingClientRect();
          const dropdownRight = rect.left + rect.width;

          console.log(menuRight);
          console.log(dropdownRight);
          console.log(menuRight - dropdownRight);

          if (dropdownRight > menuRight) {
            const overflow = menuRight - dropdownRight;
            dropdown.style.marginLeft = overflow + 'px';
          }
        });

        const toggles = document.querySelectorAll('.dd-toggle');

        toggles.forEach((toggle) => {
          toggle.addEventListener('click', () => {
            const isExpanded = toggle.getAttribute('aria-expanded') === 'true';

            // Toggle the aria-expanded value
            toggle.setAttribute('aria-expanded', !isExpanded);
          });
        });
      });
    },
  };

})(Drupal);
